%{?nodejs_find_provides_and_requires}

# npm(assume) not in fedora yet
%global enable_tests 0
%global packagename eventemitter3

Name:       nodejs-%{packagename}
Version:    2.0.3
Release:    3%{?dist}
Summary:    EventEmitter3 is a high performance EventEmmitter
License:    MIT
URL:        https://github.com/primus/%{packagename}
Source0:    https://github.com/primus/%{packagename}/archive/%{version}.tar.gz

BuildArch:  noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(assume)
%endif

%description
EventEmitter3 is a high performance EventEmitter. It has been micro-optimized
for various of code paths making this, one of, if not the fastest EventEmitter
available for Node.js and browsers. The module is API compatible with the
EventEmitter that ships by default with Node.js.

%prep
%autosetup -n %{packagename}-%{version}

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json bower.json component.json *.js \
    %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
mocha test.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed May 03 2017 Parag Nemade <pnemade AT redhat DOT com> - 2.0.3-2
- Disabled tests

* Mon Apr 24 2017 Parag Nemade <pnemade AT redhat DOT com> - 2.0.3-1
- initial package
